>From 5463d65691bd5037d42280a59120dee008eb0822 Mon Sep 17 00:00:00 2001
From: amit <amitlangote09@gmail.com>
Date: Fri, 8 Jan 2016 09:23:12 +0900
Subject: [PATCH 01/10] Add relkind RELKIND_PARTITIONED_REL to pg_class.h

Partitioned tables to be introduced in subsequent commits will be
marked with this relkind.
---
 src/include/catalog/pg_class.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/include/catalog/pg_class.h b/src/include/catalog/pg_class.h
index fdc67c2..149f619 100644
--- a/src/include/catalog/pg_class.h
+++ b/src/include/catalog/pg_class.h
@@ -153,6 +153,7 @@ DESCR("");
 
 
 #define		  RELKIND_RELATION		  'r'		/* ordinary table */
+#define		  RELKIND_PARTITIONED_REL 'P'		/* partitioned table */
 #define		  RELKIND_INDEX			  'i'		/* secondary index */
 #define		  RELKIND_SEQUENCE		  'S'		/* sequence object */
 #define		  RELKIND_TOASTVALUE	  't'		/* for out-of-line values */
-- 
1.7.1

